Subject: RE: CGA draft and paper

From: "Tuomas Aura" <[email-masked]>
Date: Sun, 9 Mar 2003 09:45:07 -0800

It seems that this is now in the ID directory:
http://www.ietf.org/internet-drafts/draft-aura-cga-00.txt

Tuomas

> 
> -----Original Message-----
> From: Tuomas Aura [mailto:[email-masked]] 
> Sent: 24 February 2003 16:13
> To: SEND WG
> 
> I have posted a draft on Cryptographically Generated Addresses (CGA)
> on my web page:
>  
> http://research.microsoft.com/users/tuomaura/CGA/draft-aura-cg
> a-pre00.tx
> t
> Unfortunately, I managed to miss the submission deadline for San 
> Francisco, so the draft will only be on this web site for now.
> 
> A related (still unpublished) paper with some more background info 
> is also available:
>  
> http://research.microsoft.com/users/tuomaura/CGA/aura-cga-unpu
> blished.pd
> f
> 
> Tuomas
> --------------------------------------------------------------------
> To unsubscribe from this list, send email with "UNSUBSCRIBE" in the
> body to <[email-masked]>.
> Archive: http://standards.ericsson.net/lists/ietf-send/maillist.html
> --------------------------------------------------------------------
> 
> 

--------------------------------------------------------------------
To unsubscribe from this list, send email with "UNSUBSCRIBE" in the
body to <[email-masked]>.
Archive: http://standards.ericsson.net/lists/ietf-send/maillist.html
--------------------------------------------------------------------

---

From: <[email-masked]>
Date: Tue, 18 Mar 2003 20:19:43 +0200

> http://www.ietf.org/internet-drafts/draft-aura-cga-00.txt

I like this draft a lot. In particular, I like the two-step
construction of the addresses in order to make care-of address
construction efficient.

A few minor comments:

* Introduction: is there a reference to someone using CGAs for
  opportunistic IPsec?

* Why MD5 and not SHA1?

* Section 6, "(These DoS attacks can be prevented if the IPv6
  ND messages are authenticated with CGA addresses.)" It might
  make sense to clarify that legitimate collisions can still
  occur.

Jari